@echo off

call g++ -O2 -Wall -o ..\theater_od ..\theater_od.cpp

for %%i in (??) do (
  echo making %%i.a
  copy %%i theater.in > nul
  ..\theater_od
  copy theater.out %%i.a > nul
  del theater.in theater.out
)

